using System;

namespace ConsoleApp23
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            int n = int.Parse(s.Substring(0, s.IndexOf(" ")));
            int m = int.Parse(s.Substring(s.IndexOf(" ")));
            int uksreca = 0;
            int[] sreca = new int[n];
            int k1, k2;

            for (int i = 0; i < n; i++)
            {
                sreca[i] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine();
                k1 = int.Parse(s.Substring(0, s.IndexOf(" "))) - 1;
                k2 = int.Parse(s.Substring(s.IndexOf(" "))) - 1;
                uksreca += sreca[k1];
                uksreca += sreca[k2];
            }
            Console.WriteLine(Math.Abs(uksreca));

        }
    }
}